extends Tween
# Drive animation during level switching

const FAR_AWAY = 4000

export var duration = 1


func swap_out(node):
	interpolate_property(node, "position:x", null, FAR_AWAY, duration, Tween.TRANS_QUAD, Tween.EASE_IN)
	start()


func swap_in(node):
	interpolate_property(node, "position:y", null, 0, duration, Tween.TRANS_QUAD, Tween.EASE_OUT)
	start()
